## graphite2 1.3.14

=== tests/nametabletest/CMakeLists.txt ===
project(nametabletest)
include_directories(${graphite2_core_SOURCE_DIR})

add_executable(nametabletest nametabletest.cpp)
target_link_libraries(nametabletest graphite2-base)

add_test(NAME nametabletest COMMAND $<TARGET_FILE:nametabletest>)
set_tests_properties(nametabletest PROPERTIES TIMEOUT 3)

=== debian/changelog ===
graphite2 (1.3.14-11) unstable; urgency=medium

  * debian/tests/unit: remove (forgtten) amd64 from the if, was there
    for testing only

 -- Rene Engelhard <rene@debian.org>  Sun, 05 Oct 2025 20:21:08 +0200

graphite2 (1.3.14-10) unstable; urgency=medium

  * debian/tests/unit:
    - also set CXX=g++-14 for the autopkgtest on amd64,ppc64el and loong64
    - export CTEST_OUTPUT_ON_FAILURE=True
  (thanks John Chittum - closes: #1116373)
  * debian/tests/unit: go sure and run make with VERBOSE=true

 -- Rene Engelhard <rene@debian.org>  Mon, 29 Sep 2025 17:06:10 +0200

graphite2 (1.3.14-9) unstable; urgency=medium

  * sigh, actually update Vcs-*: for font-team... 

 -- Rene Engelhard <rene@debian.org>  Sun, 21 Sep 2025 20:33:46 +0200

graphite2 (1.3.14-8) unstable; urgency=medium

  * move to Debian Fonts Task Force <debian-fonts@lists.debian.org>,
    keeping Uploaders: intact
  * add intial gbp.conf 

 -- Rene Engelhard <rene@debian.org>  Sun, 21 Sep 2025 19:01:16 +0200

graphite2 (1.3.14-7) unstable; urgency=medium

  * oops, forgit to add ppc64el to the g++-14 B-D 

 -- Rene Engelhard <rene@debian.org>  Sun, 14 Sep 2025 08:47:40 +0200

graphite2 (1.3.14-6) unstable; urgency=medium

  * also build with g++-14 on ppc64el... 

 -- Rene Engelhard <rene@debian.org>  Sat, 13 Sep 2025 11:43:28 +0200

graphite2 (1.3.14-5) unstable; urgency=medium

  * debian/rules, debian/control: also build with g++-14 on loong64. Same
    test, different failure

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Sep 2025 18:26:12 +0200

graphite2 (1.3.14-4) unstable; urgency=medium

  * debian/rules, debian/control: force g++-14 on arm64, see
    https://github.com/silnrsi/graphite/issues/96

 -- Rene Engelhard <rene@debian.org>  Tue, 19 Aug 2025 19:58:00 +0000

graphite2 (1.3.14-3) unstable; urgency=medium

  * debian/patches/include-cstdint.diff: #include <cstdint> to fix build
    with gcc 15 (closes: #1096775)
  * debian/tests/control: remove explicit depends on dpkg-dev
    (closes: #1100451) 
  * debian/patches/cmake-4.0.diff: fix build issues with cmake 4.0
    (based on https://github.com/silnrsi/graphite/issues/98)
  * debian/patches/disable-latex-for-now.diff: disable latex build for
    now due to LaTeX error (probably) caused by doxygen.
    To be investigated further.

 -- Rene Engelhard <rene@debian.org>  Sun, 17 Aug 2025 20:44:35 +0200

graphite2 (1.3.14-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on dh-exec.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev and python3.

  [ Rene Engelhard ]
  * debian/patches/do-not-require-future.diff: as name says
    (closes: #1058584)
  * debian/patches/spell-out-lesser-and-greater.diff,
    debian/patches/no-explicit-dot-font-settings.diff,
    debian/patches/explicit-pdflatex.diff: fix documentation build
    (closes: #1052740)

 -- Rene Engelhard <rene@debian.org>  Sun, 24 Dec 2023 11:38:53 +0100

graphite2 (1.3.14-1) unstable; urgency=medium

  * New upstream version 1.3.14

 -- Rene Engelhard <rene@debian.org>  Wed, 01 Apr 2020 11:11:00 +0200

graphite2 (1.3.13-11) unstable; urgency=medium

  * Team upload.
  * d/rules: fix variable name in the previous change.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 15 Oct 2019 19:56:08 +0200

graphite2 (1.3.13-10) unstable; urgency=medium

  * Team upload.
  * d/rules: export LD_LIBRARY_PATH while testing.
    The build fails consistently on the buildds, but I can't reproduce it no
    matter what.  Lacking a clear solution, let's try explicitly exporting
    this variable, hoping it will work around whatever is going wrong.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 15 Oct 2019 17:55:43 +0200

graphite2 (1.3.13-9) unstable; urgency=medium

  * Team upload.
  * Simplify and forward d/patches/non-linux.diff
  * Run wrap-and-sort.
  * d/control:
    + Bump Standards-Version to 4.4.1, no changes needed.
    + Annotate python3 build dependency with :native.  Closes: #941647
      Thanks to Helmut Grohne for the patch.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 03 Oct 2019 12:16:50 +0200

graphite2 (1.3.13-8) unstable; urgency=medium

  * Team upload.

  [ Rene Engelhard ]
  * Apply patch from Helmut Grohne to annotate
    Build-Depends: python3-fonttools with <!nocheck>. (Closes: #928545)

  [ Mattia Rizzolo ]
  * Refresh all the patches.
  * Apply patch from Svante Signell to refresh the non-linux.diff patch.
  * Enable the non-linux.diff patch again (disabled in 1.3.12-1).
  * d/rules: Drop now unneeded override_dh_strip.
  * Drop now unneeded lintian override for embedded-javascript-library.
  * d/control:
    + Bump Standards-Version to 4.4.0, no changes needed.
    + Set Rules-Requires-Root:no.
  * d/rules:
    + Explicitly set --no-parallel to the dh_auto_build building the docs, as
      that's what's preventing the whole thing from being completely parallel.
    + Split the current override_dh_auto_install into multiple targets,
      for better separation of arch/indep builds.
  * Bump debhelper compat level to 12:
    + Drop d/compat, use the new debhelper-compat notation instead.
    + Drop explicit --parallel, default since compat 10.
    + The documentation moved: /usr/share/doc/libgraphite2-{doc -> dev}/html/
      (change from Policy v3.9.7, §12.3)
  * d/libgraphite2-doc.install: drop, the .docs contains it all already.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Aug 2019 23:15:02 +0200

=== debian/control ===
Source: graphite2
Priority: optional
Section: libs
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Rene Engelhard <rene@debian.org>,
 Daniel Glassey <wdg@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 g++-14 [arm64 loong64 ppc64el],
 python3:native,
 python3-fonttools <!nocheck>,
Build-Depends-Indep:
 asciidoc-dblatex,
 docbook-xsl,
 doxygen,
 graphviz,
 libxml2-utils,
 python3-all,
 python3-setuptools,
 texlive-latex-recommended,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://graphite.sil.org/
Vcs-Git: https://salsa.debian.org/fonts-team/graphite2.git
Vcs-Browser: https://salsa.debian.org/fonts-team/graphite2

Package: libgraphite2-3
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 libgraphite2-2.0.0,
Replaces:
 libgraphite2-2.0.0,
Breaks:
 libgraphite2-2.0.0 (<< 1.2.0),
Multi-Arch: same
Description: Font rendering engine for Complex Scripts -- library
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to
 other smart font rendering technologies with limited practical local
 extensibility. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the rendering engine for a given writing system is specified
 through extra tables added to a TrueType font.  These tables are generated by
 compiling a GDL (Graphite Description Language) source file into a font using
 grcompiler.
 .
 This package contains the shared library.

Package: libgraphite2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgraphite2-3 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libgraphite2-utils,
Description: Development files for libgraphite2
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to
 other smart font rendering technologies with limited practical local
 extensibility. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the rendering engine for a given writing system is specified
 through extra tables added to a TrueType font.  These tables are generated by
 compiling a GDL (Graphite Description Language) source file into a font using
 grcompiler.
 .
 This package contains the development libraries for libgraphite2

Package: libgraphite2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Documentation for libgraphite2
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to
 other smart font rendering technologies with limited practical local
 extensibility. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the rendering engine for a given writing system is specified
 through extra tables added to a TrueType font.  These tables are generated by
 compiling a GDL (Graphite Description Language) source file into a font using
 grcompiler.
 .
 PDF and HTML documentation for libgraphite2

Package: libgraphite2-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: fonts
Description: Font rendering engine for Complex Scripts -- utilities
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This package contains gr2fonttest.

Package: python3-graphite2
Section: python
Architecture: all
Depends:
 libgraphite2-3,
 ${misc:Depends},
 ${python3:Depends},
Description: Python bindings for libgraphite2
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to
 other smart font rendering technologies with limited practical local
 extensibility. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the rendering engine for a given writing system is specified
 through extra tables added to a TrueType font.  These tables are generated by
 compiling a GDL (Graphite Description Language) source file into a font using
 grcompiler.
 .
 This package contains the Python 3 bindings for libgraphite2.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_EXPORT_BUILDFLAGS = 0
include /usr/share/dpkg/architecture.mk

# https://github.com/silnrsi/graphite/issues/96
ifeq "$(DEB_HOST_ARCH)" "arm64"
export CXX := g++-14
endif

ifeq "$(DEB_HOST_ARCH)" "ppc64el"
export CXX := g++-14
endif

ifeq "$(DEB_HOST_ARCH)" "loong64"
export CXX := g++-14
endif

%:
	dh $@ --with python3 --buildsystem=cmake --builddirectory=build

override_dh_auto_build-indep:
	@echo "Building docs"
	dh_auto_build --no-parallel -- docs

override_dh_auto_install-arch:
	dh_auto_install -a

override_dh_auto_install-indep:

override_dh_install-indep:
	set -e ; for v in `py3versions -v -s`; do \
		python$$v setup.py -v install --prefix=/usr --root=$(CURDIR)/debian/python3-graphite2; \
	done

override_dh_auto_test: export LD_LIBRARY_PATH := $(CURDIR)/build/src
override_dh_auto_test:
	set -e; if [ -f ./build/src/libgraphite2.so.3 ]; then \
		dh_auto_test; \
	fi

override_dh_auto_clean:
	-find . -name "CTestCostData.txt" | xargs rm
	-find . -name "LastTest.log"  | xargs rm
	rm -f tests/graphite.pyc
	rm -rf tests/__pycache__
	rm -rf python/graphite2/__pycache__
	rm -rf python/graphite2.egg-info
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE:STRING=Release -DGRAPHITE2_NTRACING:BOOL=ON -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DPYTHON_EXECUTABLE=$(shell which python3)
	find . -type f ! -name "rules" ! -name "changelog" \
		-exec sed -i -e 's/\-O3//g' {} \;

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import graphite2; print(graphite2)" ; done
Depends:
 python3-all,
 python3-graphite2,
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

Tests: test
Depends:
 libgraphite2-3,
 libgraphite2-utils,
 python3-graphite2,
 @builddeps@,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/graphite2-$1\.tar\.gz/ \
  https://github.com/silnrsi/graphite/tags .*/v?(\d\S+)\.tar\.gz
